2008-06-03  Andrew Cagney  <cagney@redhat.com>

	* TestFrame.java: Use DwflModule.getModules() and not
	.getModulesForce().

2008-05-24  Andrew Cagney  <cagney@redhat.com>

	* LibunwindAddressSpace.java (findProcInfo): Return
	ProcInfo.fillNotAvailable() when there is no map.
	
	* LibunwindAddressSpace.java (procInfo): Delete.
	(getElfImage(long)): Delete.
	(findProcInfo): Use ProcInfo.fillFromElfImage et.al. methods.

2008-05-23  Andrew Cagney  <cagney@redhat.com>

	* LibunwindAddressSpace.java: Use AddressSpace.unwinder (fixme);

	* StackFactory.java: Use AddressSpace.createCursor().

2008-04-17  Andrew Cagney  <cagney@redhat.com>

	* TestFrame.java: Use frysk.config.Prefix.

2008-04-16  Andrew Cagney  <cagney@redhat.com>

	* TestLibFunctionStepFrame.java: Use frysk.config.Prefix.
	* TestSignalStepFrame.java: Ditto.

2008-04-15  Thiago Jung Bauermann  <bauerman@br.ibm.com>

	* LibunwindRegisterMapFactory.java (PPC64): Add AltiVec registers.

2008-04-12  Mark Wielaard  <mwielaard@redhat.com>

	* TestFrame.java (testInnerFrameAddress): New test for bug #6029.

2008-04-11  Mark Wielaard  <mwielaard@redhat.com>

	* TestFrame.java (testBogusAddressPrevFrame): Resolved.

2008-04-07  Mark Wielaard  <mwielaard@redhat.com>

	* TestSignalStepFrame.java: New tests.

2008-04-06  Petr Machata  <pmachata@redhat.com>

	* Frame.java (toPrint): Code for 0-padding PC moved to
	frysk.util.ArchFormatter

2008-04-03  Petr Machata  <pmachata@redhat.com>

	* TestFrame.java (testBogusAddressPrevFrame): New test.

2008-04-02  Mark Wielaard  <mwielaard@redhat.com>

	* TestLibFunctionStepFrame.java: Remove comment about
	SteppingEngine not working with plt entry stepping.
	The issue was fixed with the patch for bug #5907.

2008-04-01  Andrew Cagney  <cagney@redhat.com>

	* StackFactory.java: Update to match PrintStackOptions.

2008-04-01  Sami Wagiaalla  <swagiaal@redhat.com>

	* Frame.java: replaced check for vdso string with isVDSO().

2008-03-31  Sami Wagiaalla  <swagiaal@redhat.com>

	* Frame.java: Added check to check for vdso before prepending path.

2008-03-19  Mark Wielaard  <mwielaard@redhat.com>

	* TestLibFunctionStepFrame.java: No longer unresolved on x86_64.
	
2008-03-12  Mark Wielaard  <mwielaard@redhat.com>

	* TestLibFunctionStepFrame.java: Mark only unresolved on x86_64
	and ppc. Only check first 24 steps (bug #5917). Tighter check for
	main and foo order.
	
2008-03-12  Mark Wielaard  <mwielaard@redhat.com>

	* Frame.java (toString): New method.
	
2008-03-10  Mark Wielaard  <mwielaard@redhat.com>

	* TestLibFunctionStepFrame.java: New test for bug #5259.

2008-02-28  Andrew Cagney  <cagney@redhat.com>

	* LibunwindAddressSpace.java: Use frysk.rsl.
	* TestFrame.java: Ditto.
	* LibunwindFrame.java: Ditto.

2008-02-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* StackFactory.java: Use PrintStackOptions instead of boolean list.

2008-02-19  Nurdin Premji  <npremji@redhat.com>

	* Frame.java: Added some rsl logging.

2008-01-24  Andrew Cagney  <cagney@redhat.com>

	* Frame.java: Update; Register moved to frysk.isa.registers.
	* FrameDecorator.java: Ditto.
	* LibunwindAddressSpace.java: Ditto.
	* LibunwindFrame.java: Ditto.
	* LibunwindRegisterMapFactory.java: Ditto.
	* TestRegs.java: Ditt.

2007-12-14  Jose Flavio Aguilar Paulino <joseflavio@gmail.com>

	* LibunwindRegisterMapFactory.java: Add PPC32/64 LR, NIP and Floating
	Pointer Registers.

2007-12-11  Andrew Cagney  <cagney@redhat.com>

	* TestRegs.java (testFloatRegisters()): Delete.
	(testVectorRegisters()): Delete.
	* LibunwindFrame.java (getRegister(Register,long,int,byte[],int)):
	When libunwind doesn't know a register, pass the request directly
	to the task.
	(setRegister(Register,long,int,byte[],int)): Ditto.

2007-12-10  Andrew Cagney  <cagney@redhat.com>

	* LibunwindRegisterMapFactory.java (IA32): Add XMM registers.
	* TestRegs.java (testVectorRegisters()): Enable on IA-32.
	
	* TestRegs.java (testFloatRegisters()): Enable on IA-32.
	* LibunwindAddressSpace.java (accessReg(Number,byte[],boolean)):
	Limit the transfer size to the register's size.

2007-12-03  Andrew Cagney  <cagney@redhat.com>

	* LibunwindFrame.java: Revert <<Get CFA from cursor>>; add more
	comments.

2007-12-03  Mark Wielaard  <mwielaard@redhat.com>

	* LibunwindFrame.java (getFrameIdentifier): Get CFA from cursor.

2007-11-30  Mark Wielaard  <mwielaard@redhat.com>

	* LibunwindAddressSpace.java (getDynInfoListAddr): Removed.
	(resume): Likewise.
	
2007-11-30  Mark Wielaard  <mwielaard@redhat.com>

	* LibunwindFrame.java (getProcInfo): Removed.
	(getFrameIdentifier): Use Symbol.getAddress(), not ProcInfo.
	
2007-11-29  Andrew Cagney  <cagney@redhat.com>

	* TestRegs.java (testFloatRegisters())
	(testVectorRegisters()): New; mark as unresolved, bugs 4911 and
	5195.

	* LibunwindRegisterMapFactory.java: Update; RegisterMap
	constructor takes a String.
	* LibunwindAddressSpace.java (accessReg(Number,byte[],boolean)):
	Replace accessFPReg(int,byte[],boolean).
	(getReg(Number)): Replace getReg(int).
	(setReg(Number,long)): Replace setReg(int,long).
	(findRegister(int)): Delete.

2007-11-26  Andrew Cagney  <cagney@redhat.com>

	* LibunwindRegisterMapFactory.java: Replace IA32Registers.FOP
	et.al. with X87Registers.FOP.

2007-11-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* Frame.java (toPrint): Added a boolean for printing source
	libraries.
	* StackFactory.java: Updated.

2007-11-26  Jose Flavio Aguilar Paulino <joseflavio@gmail.com>

	* LibunwindRegisterMapFactory.java: Adding the correct map to
	PPC32 and PPC64 from libunwind. Still missing special registers.

2007-11-23  Sami Wagiaalla  <swagiaal@redhat.com>

	* Frame.java (toPrint): Removed printlibrary boolean argument.
	added fullpath boolean argument.
	* StackFactory.java: Updated

2007-11-23  Mark Wielaard  <mwielaard@redhat.com>

	* LibunwindAddressSpace.java (getModuleFromAddress): Removed.
	(getProcName): Removed.

2007-11-21  Sami Wagiaalla  <swagiaal@redhat.com>

	* StackFactory.java (printTaskStackTrace): Added number of
	frames check.

2007-11-19  Mark Wielaard  <mwielaard@redhat.com>

	* LibunwindFrame.java (getAddress): Don't do a proc name lookup,
	use new Cursor.getIP().
	
2007-11-13  Jose Flavio Aguilar Paulino <jflavio@br.ibm.com>
	
	* LibunwindAddressSpace.java: Add PowerPC32/64 unwinder 
	classes to the constructors.

2007-10-19  Andrew Cagney  <cagney@redhat.com>

	* StackFactory.java (printStack(PrintWriter,Frame)): Call
	Frame.printLevel().
	(printTaskStackTrace(PrintWriter,Task,boolean)): Call
	Frame.printLevel().
	* Frame.java(toPrint(PrintWriter,boolean)): Print frame level.
	(toPrint(PrintFrame)): Call toPrint(PrintWriter,boolean).
	(printLevel()): New.

	* Frame.java (toPrint(PrintWriter,boolean,boolean)): Delete.
	(toPrint(PrintWriter,boolean)): Delete.
	* StackFactory.java (printStackTrace(PrintWriter,Frame,boolean)):
	Delete.
	(printTaskStackTrace(PrintWriter,Task,boolean)): Update.
	* FrameDecorator.java (toPrint(PrintWriter,boolean)): Delete.
	
	* StackFactory.java (printStack(PrintWriter,Frame)): New.
	* Frame.java (toPrint(PrintWriter)): New.
	
	* Frame.java (level): New.
	(level()): New.
	(Frame(Frame,Task)): Set level.
	(toPrint(PrintWriter,boolean)): New.
	(toPrint(PrintWriter,boolean,boolean)): Call.

2007-10-18  Andrew Cagney  <cagney@redhat.com>

	* FrameLevel.java: New.
	* TestFrameLevel.java: New.

2007-10-17  Andrew Cagney  <cagney@redhat.com>

	* LibunwindRegisterMapFactory.java: Use X87Registers.ST*

	* Frame.java (getOuter()): Make concrete.
	(unwind()): New, abstract.
	(Frame(Frame,Task)): Replace Frame(Frame).
	* FrameDecorator.java (getOuter()): Delete.
	(FrameDecorator(FrameDecorator,Frame)): Replace
	FrameDecorator(Frame).
	* LibunwindFrame.java (getOuter()): Delete.
	(outer): Delete.
	(getLibunwindOuter()): Delete.
	(unwind()): New.
	(LibunwindFrame(Cursor,Frame,Task)): Replace
	LibunwindFrame(Cursor,Task).

	* FrameDecorator.java (getInner()): Delete.
	* LibunwindFrame.java (getInner()): Delete.
	(inner): Delete.
	(LibunwindFrame(Cursor,Frame)): New.
	(getLibunwindOuter()): Update.
	(getAdjustedAddress()): Update.
	* Frame.java(Frame(Frame)): New.
	(getInner()): Make concrete.
	(inner, outer): New.

	* FrameDecorator.java (getTask()): Delete.
	(FrameDecorator(Frame)): Call super(Task).
	* LibunwindFrame.java (getTask()): Delete.
	(task): Delete.
	(LibunwindFrame(Cursor,Task)): Call super(Task).
	* Frame.java (getTask()): Make concrete.
	(task): New field.
	(Frame(Task)): New constructor.

2007-10-15  Andrew Cagney  <cagney@redhat.com>

	* TestRegs.java (taskObject(Task)): Delete.
	(access(Register,int,int,byte[],int,boolean)): Replace
	accessRegister(...).
	(setUp(), tearDown(), frame): New.
	
2007-10-14  Andrew Cagney  <cagney@redhat.com>

	* LibunwindFrame.java (getLibunwindOuter()): New.
	(getFrameIdentifier()): Use the outer frame's SP as the CFA.

	* FrameIdentifier.java: Re-indent; make members final.
	(getCfa()): Delete.

2007-10-12  Andrew Cagney  <cagney@redhat.com>

	* LibunwindAddressSpace.java: Update; Task.accessRegister renamed
	to Task.access.

2007-10-04  Andrew Cagney  <cagney@redhat.com>

	* LibunwindFrame.java (getRegister, setRegister): Log libunwind's
	register number.
	* LibunwindAddressSpace.java (getReg, setReg): Fix typo in log
	message.

	* TestRegs.java: New.

2007-10-03  Andrew Cagney  <cagney@redhat.com>

	* LibunwindRegisterMapFactory.java: Replace HashMap with ISAMap.

2007-10-02  Andrew Cagney  <cagney@redhat.com>

	* LibunwindRegisterMapFactory.java (isaToMap): New.
	(getRegisterMap()): Re-implement using frysk.isa.ISA;
	* LibunwindAddressSpace.java: Update; use frysk.isa.ISA.
	* LibunwindFrame.java: Ditto.
	* Frame.java: Ditto.

2007-10-01  Andrew Cagney  <cagney@redhat.com>

	* Frame.java: Update; use Register.getType().

	* LibunwindAddressSpace.java (getReg(int)): Use
	Task.getRegister(Register).
	(setReg(int,long)): Use Task.setRegister(Register,long).
	(accessFPReg): Use Task.accessRegister.
	
2007-09-28  Andrew Cagney  <cagney@redhat.com>

	* LibunwindRegisterMapFactory.java: Pass the UnwindRegister
	object, not int, to RegisterMap.add.

2007-09-27  Andrew Cagney  <cagney@redhat.com>

	* LibunwindAddressSpace.java (getProcRegister(int)): Re-implement
	using the Libunwind register map.
	
	* LibunwindAddressSpace.java: Update; frysk.proc.Register renamed
	to frysk.proc.BankRegister.
	
	* LibunwindAddressSpace.java (getProcRegister): New.
	(getReg, setReg): Use.

	* LibunwindRegisterMapFactory.java (IA32): Delete definition of CFA.
	(X8664): Ditto.
	
 	* Register.java: Move to frysk.isa.Registers
	* IA32Registers.java: Move to frysk.isa.IA32Registers.
	* RegisterFactory.java: Move to frysk.isa.RegisterFactory.
	* RegisterGroup.java: Move to frysk.isa.RegisterGroup.
	* RegisterGroupFactory.java: Move to frysk.isa.RegisterGroupFactory.
	* RegisterMap.java: Move to frysk.isa.RegisterMap.
	* X8664Registers.java: Move to frysk.isa.X8664Registers.
	* FrameDecorator.java: Update.
	* Frame.java: Update.
	* LibunwindFrame.java: Update.
	* LibunwindRegisterMapFactory.java: Update.

2007-09-26  Andrew Cagney  <cagney@redhat.com>

	* Frame.java (getRegister(Register,long,int,byte[],int): New.
	(setRegister(Register,long,int,byte[],int): New.
	(getRegister(Register)): New.
	(getRegisterBytes(Register)): New.
	(getRegisterValue(Register)): Make concrete.
	(setReg(long,long)): Delete.
	* FrameDecorator.java: Update.
	* LibunwindFrame.java: Update.
	
2007-09-24  Andrew Cagney  <cagney@redhat.com>

	* Frame.java: Indent.

	* LibunwindAddressSpace.java: Fix typo, move logging of
	registerName back after its declaration.
	
	* LibunwindAddressSpace.java: Update; AddressSpace.accessReg
	replaced by getReg and setReg.

2007-09-24  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestStackBacktrace.java: Moved to 
	frysk.debuginfo.TestDebugInfoStackTrace.java.

2007-09-05  Andrew Cagney  <cagney@redhat.com>

	* StackFactory.java: Update.
	* LibunwindAddressSpace.java: Rename UnwindAddressSpace.java.
	* LibunwindFrame.java: Rename RemoteFrame.java.
	* LibunwindRegisterMapFactory.java: Rename UnwindRegisterMapFactory.java.

2007-09-04  Andrew Cagney  <cagney@redhat.com>

	* RemoteFrame.java: Use ScratchLocation.

2007-08-31  Andrew Cagney  <cagney@redhat.com>

	* RemoteFrame.java: Use Type.order.

2007-08-30  Andrew Cagney  <cagney@redhat.com>

	* RemoteFrame.java: Instead of constructor
	Value(Type,String,ByteBuffer), use Value(Type,ByteBuffer).

2007-08-28  Teresa Thomas  <tthomas@redhat.com>

	* TestFrameSymbol.java (testOneSymbol): Use DaemonBlockedAtSignal. 

2007-08-16  Sami Wagiaalla  <swagiaal@redhat.com>

	* RemoteFrame.java (getRegisterValue): Added LongType to the types
	handled by getRegister (Fixes x86_64 test failures).

2007-08-16  Andrew Cagney  <cagney@redhat.com>

	* RemoteFrame.java (cursor, task): Add.
	(getTask()): Add.
	* Frame.java (getTask): Make abstract.
	(cursor, task): Delete.
	(getCFA): Delete.
	(toPrint): Remove references to cursor and task.
	* FrameDecorator.java: Extend Frame.
	(getInner, getOuter): Make public.
	(getTask): Make non-final.
	(getCFA): Delete.
	(getFrame): Delete.
	
2007-08-13  Nurdin Premji  <npremji@redhat.com>

	* RegisterFactory.java: Added.
	* RemoteFrame.java (getRegisterValue): Check for floating point registers.
	Don't throw a null pointer if register can't be located.
	* X8664Registers.java: Use StandardTypes.
	* IA32Registers.java: Ditto.
	* UnwindRegisterMapFactory.java (X8664): Created instance of RegisterMap.
	(IA32): Ditto.
	(getRegisterMap): Return singleton instance rather than new object.
	* RegisterMap.java (add): Added.
	(addEntry): Removed.

2007-08-10  Stan Cox  <scox@redhat.com>

	* RegisterMap.java (getRegister): New.  Given String return Register.

2007-08-09  Andrew Cagney  <cagney@redhat.com>

	* TestFrame.java: Replace AttachedAckProcess with
	SlaveOffspring.createAttachedChild.
	
2007-08-08  Andrew Cagney  <cagney@redhat.com>

	* TestFrame.java: Eliminate use of AckProcess.

2007-08-08  Nurdin Premji  <npremji@redhat.com>

	* IA32Register.java: Update standard types now stored in 
	frysk.value.StandardTypes.
	* X8664Registers.java: Ditto.

	* IA32Registers.java: Use frysk.value.ArithmeticType general types.	
	* X8664Registers.java: Ditto.

2007-08-06  Stan Cox  <scox@redhat.com>

	* X8664Registers.java: X8664 registers are baseTypeLong.

2007-08-03  Nurdin Premji  <npremji@redhat.com>

	* UnwindRegisterMapFactory.java: Use UnwindRegistersX86 and
	UnwindRegistersX8664 generated enums.

2007-08-02  Nurdin Premji  <npremji@redhat.com>

	* Register.java (toString): Add space between name and type.

2007-08-01  Andrew Cagney  <cagney@redhat.com>

	* TestStackBacktrace.java (testBacktrace): Use
	SynchronizedOffspring.
	(testThreadedBacktrace): Ditto.
	(testFramePushing): Ditto.
	(testFramePopping): Ditto.
	
2007-08-01  Nurdin Premji  <npremji@redhat.com>

	* UnwindRegisterMap.java: Renamed to ...
	* RegisterMap.java: ... this.
	* Frame.java (getRegister): Removed.
	* FrameDecorator.java (getRegister): Removed.
	* RemoteFrame.java (getRegister): Removed.
	(getRegisterValue): Update RegisterMap name change.
	* UnwindRegisterMapFactory.java (IA32Map): Update RegisterMap name change.
	(X8664Map): Ditto.
	(getRegisterMap): Ditto.

2007-08-01  Sami Wagiaalla  <swagiaal@redhat.com>

	* FrameDecorator.java (getUndecoratedFrame): New function.

2007-07-31  Sami Wagiaalla  <swagiaal@redhat.com>

	* TestStackBacktrace.java: Replaced Frame with DebugInfoFrame.
	* RemoteFrame.java: Removed getLines.
	* FrameDecorator.java (getRegisterValue): Added.
	(setReg): Added.
	(getFrame): Added.
	(getCFA): Added.
	* StackFactory.java (printRichStackTrace): moved to
	DebugInfoStackFactory.  
	* Frame.java (getLines): Moved to DebugInfoFrame.
	(getSubprogram): Ditto.

2007-07-31  Nurdin Premji  <npremji@redhat.com>

	* IA32Registers.java (SEGMENT): Removed TSS and LDT registers from 
	SEGMENT group.

2007-07-30  Nurdin Premji <npremji@redhat.com>

	* Frame.java (getRegisterValue): Added.
	* RemoteFrame.java (getRegisterValue): Implemented.
	* IA32Registers.java: Added.
	* Register.java: Added.
	* RegisterGroup.java: Added.
	* RegisterGroupFactory.java: Added.
	* UnwindRegisterMap.java: Added.
	* UnwindRegisterMapFactory.java: Added.
	* X8664Registers.java: Added.

2007-07-27  Nurdin Premji <npremji@redhat.com>

	* StackCallbacks.java: Removed.

2007-07-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* StackFactory.java: Stack printing functions now take a 
	printSourceLibrary boolean.
	* FrameDecorator.java (toPrint): passes a printSourceLibrary
	boolean.
	* Frame.java (toPrint): Now takes a boolean for printing
	source library name.

2007-07-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* Frame.java (getLibraryName): New function.
	(toPrint): Now prints library name.
	* StackFactory.java (printRichStackTrace): Now uses 
	frame.getLirbaryName

2007-07-27  Mike Cvet  <mcvet@redhat.com>

	* TestStackBacktrace.java: Updated to reference frysk.stepping.

2007-07-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* StackFactory.java: Passed a frame argument when printing a 
	Subprogram.

2007-07-25  Andrew Cagney  <cagney@redhat.com>

	* TestFrameSymbol.java: Update;
	frysk.testbed.TestLib.AttachedDaemonProcess moved to
	frysk.testbed.DaemonBlockedAtEntry.
	
	* TestFrameSymbol.java: Update; TaskObserverBase in
	frysk.testbed.TestLib moved to frysk.testbed.TaskObserverBase.

2007-07-25  Nurdin Premji  <npremji@redhat.com>

	* Frame.java (getRegister): Added.
	(getReg): Removed.
	* RemoteFrame.java (getRegister): Implemented.
	(getReg(int)): Removed.
	(getReg(long)): Removed.
	* FrameDecorator (getRegister): Added.
	(getReg): Removed.

2007-07-24  Andrew Cagney  <cagney@redhat.com>

	* TestFrame.java: Update; frysk.proc.TestLib moved to
	frysk.testbed.TestLib.
	* TestFrameSymbol.java: Ditto.
	* TestStackBacktrace.java: Ditto.

	* TestFrameSymbol.java (testSymbol): Use AttachedDaemonProcess.

	* Frame.java: Update; frysk.rt.Symbol moved to frysk.symtab.Symbol
	and frysk.symtab.SymbolFactory.
	* TestStackBacktrace.java: Ditto.
	* FrameDecorator.java: Ditto.
	* RemoteFrame.java: Ditto.
	* TestFrameSymbol.java: Simplify.

	* TestFrameSymbol.java: Moved to here from frysk.rt.TestSymbol.

	* FrameDecorator.java: New.

	* package.html: New file.

2007-07-23  Nurdin Premji  <npremji@redhat.com>

	* RemoteFrame.java (getSymbol): Use DwflCache to find out the 
	symbol size.

2007-07-23  Sami Wagiaalla  <swagiaal@redhat.com>

	* Frame.java: Replaced printing to Strings with printing
	to PrintWriters.
	* StackFactory.java: Ditto.

2007-07-16  Andrew Cagney  <cagney@redhat.com>

	* Frame.java: Update, lib.dw and lib.elf merged into lib.dwfl.
	* RemoteFrame.java: Ditto.
	* StackFactory.java: Ditto.
	* UnwindAddressSpace.java: Ditto.

2007-07-12  Andrew Cagney  <cagney@redhat.com>

	* UnwindAddressSpace.java: Replace ...
	* StackAccessors.java: ... this.  Delete.
	* StackFactory.java (createFrame): Update.

2007-07-09  Andrew Cagney  <cagney@redhat.com>

	* StackAccessors.java: Pass unwinder to super class.

	* StackFactory.java: Use DwflCache.getDwfl(Task).
	
	* Frame.java: Update; Replace DwflFactory with DwflCache.
	* StackAccessors.java: Ditto.
	* RemoteFrame.java: Ditto.
	* StackFactory.java: Ditto.

2007-07-04  Andrew Cagney  <cagney@redhat.com>

	* TestStackBacktrace.java: Replace brokenXXX with unresolved.

2007-07-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* StackFactory.java (printRichStackTrace): Added printing of library/excutable
	name for frames missing debug info.

2007-06-22  Nurdin Premji  <npremji@redhat.com>

	* StackAccessors.java (getModuleFromAddress): Added logging messages.
	(getProcName): Ditto.

2007-06-19  Nurdin Premji  <npremji@redhat.com>

	* StackAccessors.java (getElfImage): Added logging messages.

2007-06-19  Mike Cvet  <mcvet@redhat.com>

	* TestStackBactrace.java (LockObserver.update): Expects TaskStepEngine
	parameter instead of null or Task objects.

2007-06-15  Mike Cvet  <mcvet@redhat.com>

	* StackFactory.java (createFrame): Refactored duplicate method with
	redundant inteter parameter to take just a Task, and removed overloaded
	method.

2007-06-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* Frame.java: Removed Line info printing from elf info printing.

2007-06-14  Nurdin Premji  <npremji@redhat.com>

	* StackFrame.java: Removed.
	* StackFactory.java: Removed references to StackFrame.java.

2007-06-13  Nurdin Premji  <npremji@redhat.com>

	* StackAccessors.java (getModuleFromAddress): Create dwfl from task,
	not proc.

2007-06-12  Nurdin Premji  <npremji@redhat.com>

	* StackFactory.java (FrameCounter): Added.
	(FrameCounter.FrameCounter): Added.
	(createFrame): 	Check a weak hash map for the Frame before creating a new one.
	* TestFrame.java (BlockingObserver): Added.
	(testAttached): Use the BlockingObserver.
	(testFrameSame): Added.
	(testContinueNotSame): Added.
	(backtrace): take a blocking observer and return a frame.	

2007-06-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* StackFactory.java: Fixed package statement, and added import
	statements to fix broken build.

2007-06-11  Sami Wagiaalla  <swagiaal@redhat.com>

	* StackFactory.java (generateTaskStackTrace): Now takes arguments
	boolean elfOnly, boolean printParameters, boolean printScopes, and
	boolean fullpath.

2007-06-11  Nurdin Premji  <npremji@redhat.com>

	* RemoteFrame.java: Made less visible.
	* StackFrame.java: Ditto.

	* Frame.java: Moved here.
	* FrameIdentifier.java: Ditto.
	* RemoteFrame.java: Ditto.
	* StackAccessors.java: Ditto.
	* StackCallbacks.java: Ditto.
	* StackFactory.java: Ditto.
	* StackFrame.java: Ditto.
	* TestFrame.java: Ditto.
	* TestFrameIdentifier.java: Ditto.
	* TestStackBacktrace.java: Ditto.	

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
